<?php
$this_file = str_replace( '\\', '/', __FILE__ );
$this_file = explode( 'wp-content', $this_file );
$this_file = $this_file[ 0 ];

// required for making tables easier
require_once( $this_file . 'wp-config.php' );

// or an alternative way
// require_once( '../../../wp-config.php' );

get_currentuserinfo();
global $wpdb;

$aOptions = SofaOpnPress::initOptions( false );
$paypal_mode = $aOptions[ 'paypal_mode' ];
$entrycurrency  = $aOptions[ 'entrycurrency' ];

$owner = get_userdata( 1 ); // to admin
$to = $owner->user_email;

if( $paypal_mode == 'sandbox' ) $paypalaction = 'ssl://www.sandbox.paypal.com';
else if( $paypal_mode == 'paypal' ) $paypalaction = 'ssl://www.paypal.com';

// read the post from PayPal system and add 'cmd'
$req = 'cmd=_notify-validate';
foreach( $_POST as $key => $value ) {
	$value = urlencode( stripslashes( $value ) );
	$req .= "&$key=$value";
}
// post back to PayPal system to validate
$header = "POST /cgi-bin/webscr HTTP/1.0\r\n";
$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
$header .= "Content-Length: " . strlen( $req ) . "\r\n\r\n";
$fp = fsockopen( $paypalaction, 443, $errno, $errstr, 30 );

// assign posted variables to local variables
$user_id = urlencode( stripslashes( $_POST[ 'custom' ] ) );
$txn_id = urlencode( stripslashes( $_POST[ 'txn_id' ] ) );
$payment_amount = urlencode( stripslashes( $_POST[ 'mc_gross' ] ) );
$receiver_email = urlencode( stripslashes( $_POST[ 'receiver_email' ] ) );
$payer_email = urlencode( stripslashes( $_POST[ 'payer_email' ] ) );

if( $fp && $user_id ) {
	
	fputs( $fp, $header . $req );
	while( !feof( $fp ) ) {
		$res = fgets( $fp, 1024 );
		if( strcmp( $res, 'VERIFIED' ) == 0 ) {			
			// allready exist
			$check = $wpdb->get_var( "SELECT * FROM $wpdb->deposit_history WHERE unique_code = $txn_id" );
			
			//grab the current user data
			$depositcash = $wpdb->get_row( "SELECT * FROM $wpdb->users WHERE ID = $user_id" );
			
			if( $check == 0 ) {
				// PAYMENT VALIDATED & VERIFIED!
				//store amount with .00
				$am = explode( '.', $payment_amount );
				$amount = $am[ 0 ];
				
				//add the paid amount to it
				$cash = $depositcash->deposit + $amount;
				
				//store it in the database
				$q_store_string = "UPDATE $wpdb->users SET deposit = $cash WHERE ID = $user_id";
				$q_store = $wpdb->query( $wpdb->prepare( $q_store_string ) );
				
				//add transaction in deposit history
				$post_date = current_time( mysql );
				$wpdb->insert( ( $wpdb->prefix . 'deposit_history' ), array( 'user_id' => $user_id, 'post_date' => $post_date, 'unique_code' => $txn_id, 'amount' => $amount, 'currency' => $entrycurrency ), array( '%d', '%s', '%s', '%s', '%s' ) );
				
				// send notification
				$headers = "Content-Type: text/plain; charset=utf-8; format=flowed\r\n"
				. "Content-Transfer-Encoding: 8bit\r\n"
				. "MIME-Version: 1.0\r\n"
				. "From: $to\r\n"
				. "Return-Path: $email\r\n";

				$mailmessage = $depositcash->user_nicename . ' [ ' . $depositcash->user_login . ' ], ' . $entrycurrency . ' ' . $amount . ' | ' . __( "Your deposit via PayPal has been accepted. Thank you very much for making business with us!" ) . '\r\n' . get_option( 'home' );
				@mail( $payer_email, __( "Your deposit accepted!", "sofa_opnpress" ), $mailmessage, $headers );
			} else {
				$headers = "Content-Type: text/plain; charset=utf-8; format=flowed\r\n"
				. "Content-Transfer-Encoding: 8bit\r\n"
				. "MIME-Version: 1.0\r\n"
				. "From: $to\r\n"
				. "Return-Path: $email\r\n";

				$mailmessage = $depositcash->user_nicename . ' [ ' . $depositcash->user_login . ' ], ' . $entrycurrency . ' ' . $amount . ' | ' . __( "Your deposit can not be accepted because it has not been approved by PayPal. Please check your PayPal account!" ) . '\r\n' . get_option( 'home' );
				@mail( $payer_email, __( "Your deposit not accepted!", "sofa_opnpress" ), $mailmessage, $headers );
			}
		} else if( strcmp( $res, 'INVALID' ) == 0 ) {
			//grab the current user data
			$depositcash = $wpdb->get_row( "SELECT * FROM $wpdb->users WHERE ID = $user_id" );
			$headers = "Content-Type: text/plain; charset=utf-8; format=flowed\r\n"
			. "Content-Transfer-Encoding: 8bit\r\n"
			. "MIME-Version: 1.0\r\n"
			. "From: $to\r\n"
			. "Return-Path: $email\r\n";

			$mailmessage = $depositcash->user_nicename . ' [ ' . $depositcash->user_login . ' ]\r\n' . __( "The tax ID of your payment already exist and can not be processed. We can not process the same payment twice." ) . '\r\n' . get_option( 'home' );
			@mail( $payer_email, __( "Transaction denied!", "sofa_opnpress" ), $mailmessage, $headers );
		}
	}
	fclose( $fp );
}
?>