<?php get_header(); ?>

<?php
$aOptions          = SofaOpnPress::initOptions( false );
$entrycurrency     = $aOptions[ 'entrycurrency' ];
$trimexcerpt       = ( strlen( $aOptions[ 'trimexcerpt' ] ) > 0 ) ? stripslashes( intval( $aOptions[ 'trimexcerpt' ] ) ) : 0;
$disable_comments  = $aOptions[ 'disable_comments' ];
$usebread          = $aOptions[ 'usebread' ];
$usevoting         = $aOptions[ 'usevoting' ];

if( $usebread == 'yes' && function_exists( 'dimox_breadcrumbs' ) ) dimox_breadcrumbs();
?>

<div id="content" class="widest">

	<h1><?php _e( "Search results for:", "sofa_opnpress" ); ?> "<?php echo $_GET[ 's' ]; ?>"</h1>
    
	<?php
	global $disable_comments;
	$cnt = 1;
	$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
	$args = array_merge( $wp_query->query, array( 'post_type' => 'post', 'paged' => $paged ) );
	query_posts( $args );
	if( have_posts() ) : while( have_posts() ) : the_post();
	?>
    
    <div class="widget">
    	<?php if( get_the_title() ) echo '<h4><a href="' . get_permalink( $post->ID ) . '">' . get_the_title() . '</a></h4>'; ?>
    	<div class="textwidget">
		<?php 
		$image_string = get_att_image( $post->ID );
        $perma_link = get_permalink( $post->ID );
        $content = get_the_content();
        $content = apply_filters( 'the_content', $content );
        $content = str_replace( ']]>', ']]&gt;', $content );
        if( $trimexcerpt > 0 ) $content = trim_the_content( $content, __( " ...READ MORE", "sofa_opnpress" ), $perma_link, (int)$trimexcerpt );
		if( $image_string != '' ) {
			if( substr( $image_string, 0, 3 ) == '<ul' ) $content = $image_string . $content;
			else {
				$content = preg_replace( '|(<p>)(.*?)|i', '$1' . $image_string . '$2', $content, 1 );
			}
		}
		
		echo $content;
        ?>
        </div>
        <div class="post-info">
            <span class="date">
            <?php the_time( get_option( 'date_format' ) ); ?>,  
			<?php //echo sprintf( __( 'By <a href="%s">%s</a> in' ), get_author_posts_url( $authordata->ID, $authordata->user_nicename ), get_the_author() ); ?> <?php the_category( ', ' ); ?>
            </span>
			<?php if( 'open' == $post->comment_status && $disable_comments == 'no' ) { ?>
            <span class="date commz"><?php comments_popup_link( '0', '1', '%' ); ?></span>
            <?php } ?>
            <?php if( $usevoting == 'yes' ) plain_votes( $post->ID ); ?>
        </div>
        
    </div><!-- // widget end -->
    
    <?php 
	if( $cnt % 3 == 0 ) echo '<div class="clearline">&nbsp;</div>';
	$cnt ++;
	endwhile; else : 
	?>
    
    <div class="widget">
        <h2><?php _e( "Ups!", "sofa_opnpress" ); ?></h2>
        <div class="textwidget">
            <p><?php _e( "Search scored no results!", "sofa_opnpress" ); ?></p>
        </div>
    </div>
    
    <?php 
	endif;
    if( $wp_query->max_num_pages > 1 ) {
        // paging
        include( 'wp-pagenavi.php' );
        if( function_exists( 'wp_pagenavi' ) ) { wp_pagenavi(); }
		$wp_query = NULL; 
		$wp_query = $temp_store_query;
    }
    ?>

    <div class="widget tagcloud">
        <h2><?php _e( "Tag Cloud", "sofa_opnpress" ); ?></h2>
        <div class="textwidget">
        <p>
        <?php $tag_defaults = array(
                      'smallest' => 8, 
                      'largest' => 17,
                      'unit' => 'pt', 
                      'number' => 50,  
                      'format' => 'flat',
                      'orderby' => 'count',
                      'order' => 'DESC',
                      'link' => 'view', 
                      'taxonomy' => 'post_tag', 
                      'echo' => true
                      ); 
                      wp_tag_cloud( $tag_defaults );
        ?>
        </p>
        </div>
    </div>
                        
</div><!-- // content end -->

<?php get_footer(); ?>