<div id="sidebar">

<?php
/* PICK UP GLOBALS */
get_currentuserinfo();
global $user_ID, $wpdb, $requested_author;

$owner = get_userdata( intval( $user_ID ) );

$aOptions          = SofaOpnPress::initOptions( false );
$entrycurrency     = $aOptions[ 'entrycurrency' ];
$entryprice        = ( strlen( $aOptions[ 'entryprice' ] ) > 0 ) ? stripslashes( floatval( $aOptions[ 'entryprice' ] ) ) : 0;
?>

<?php 

if( $user_ID || '' != $user_ID ) { 
	if( strtolower( $owner->user_nicename ) == strtolower( $requested_author ) ) {
		
		// allow to edit profile data
		echo '<div class="widget contactor">';
		echo '<p class="profiler"><a href="' . get_bloginfo( 'template_directory' ) . '/profile_screen.php' . '">' . __( "Update your Password or Email?", "sofa_opnpress" ) . '</a></p>';
		echo '</div>';

// get faves
$existing_faves = $wpdb->get_var( "SELECT faves FROM $wpdb->users WHERE ID = $user_ID" );
if( $existing_faves ) {
	$existing_faves_arr = explode( ',', $existing_faves );
	$len_favez = count( $existing_faves_arr );
	$ii = 0;
	echo '<div class="widget">';
	echo '<h2>' . __( "Favorite Entries", "sofa_opnpress" ) . '</h2>';
	echo '<ul class="entries">';
	while( $ii < $len_favez ) {
		$post_obj_fave = get_post( $existing_faves_arr[ $ii ] );
		$num_of_votes = ( get_post_meta( $post_obj_fave->ID, 'votes', true ) == '' ) ? 0 : get_post_meta( $post_obj_fave->ID, 'votes', true );
		echo '<li id="fav-' . $post_obj_fave->ID . '">';
		echo '<div class="grav50">';
		echo get_avatar( get_the_author_meta( 'user_email', $post_obj_fave->post_author ), '44' );
		echo '</div>';
		echo '<div class="favdiv"><span style="display: block; float: left;">';
		echo __( "By", "sofa_opnpress" ) . ': ';
		echo '<a href="' . get_author_posts_url( $post_obj_fave->post_author ) . '" title="">' . get_the_author_meta( 'display_name', $post_obj_fave->post_author ) . '</a>';
		echo ' | ' . __( "Votes", "sofa_opnpress" ) . ': ' . $num_of_votes;
		echo '</span><span class="remover" style="display: block; float: right; color: red; cursor: pointer;"><a post="' . $post_obj_fave->ID . '">' . __( "REMOVE", "sofa_opnpress" ) . '</a></span>';
		echo '<p style="display: block; clear: both;"><a href="' . get_permalink( $post_obj_fave->ID ) . '" title="' . $post_obj_fave->post_title . '">' . $post_obj_fave->post_title . '</a></p>';
		echo '</div>';
		echo '</li>';
		$ii ++;
	}
	echo '</ul>';
	echo '</div>';
}
?>

<ul class="tabs">
    <li><a href="#tab1"><?php _e( "View Transactions", "sofa_opnpress" ); ?></a></li>
    <li><a href="#tab2"><?php _e( "View Deposits", "sofa_opnpress" ); ?></a></li>
</ul>

<div class="tab_container">
    <div id="tab1" class="tab_content">
		<?php
            // query
            $transactions = $wpdb->get_results( "SELECT * FROM " . $wpdb->prefix . "transactions WHERE user_id = $user_ID ORDER BY post_date DESC" );
            if( $transactions && $entryprice > 0 ) {
				$final_costs = 0;
                echo '<ul class="entries">';
                    foreach( $transactions as $transaction ) {
                        $type_of_trans = $transaction->type;
                        $from_post = get_post( $transaction->post_id );
						$final_costs = $final_costs + floatval( $transaction->amount );
                        if( $type_of_trans == 'new' ) echo '<li>' . date( get_option( 'date_format' ), strtotime( $transaction->post_date ) ) . '<br /><strong>' . $transaction->currency . ' ' . number_format( $transaction->amount, 2, '.', ',' ) . '</strong> ' . __( "Payed for New Entry", "sofa_opnpress" ) . '<br />"' . $from_post->post_title . '"' . '</li>';
						
                        else if( $type_of_trans == 'renew' ) echo '<li>' . date( get_option( 'date_format' ), strtotime( $transaction->post_date ) ) . '<br /><strong>' . $transaction->currency . ' ' . number_format( $transaction->amount, 2, '.', ',' ) . '</strong> ' . __( "Payed for Entry Renewal", "sofa_opnpress" ) . '<br />"' . $from_post->post_title . '" ' . '</li>';
                    }
                echo '</ul>';
				echo '<p>' . __( "You have spent total of", "sofa_opnpress" ) . ': <strong>' . $entrycurrency . ' ' . number_format( $final_costs, 2, '.', ',' ) . '</strong></p>';
            } else {
				echo '<p>' . __( "No Transactions exist for this account!", "sofa_opnpress" ) . '</p>';
			}
        ?>
    </div>
    <div id="tab2" class="tab_content">
		<?php
            wp_reset_query();
            // only deposit history
            $deposits = $wpdb->get_results( "SELECT * FROM " . $wpdb->prefix . "deposit_history WHERE user_id = $user_ID ORDER BY post_date DESC" );
            if( count( $deposits ) > 0 ) {
                echo '<ul class="entries">';
                foreach( $deposits as $deposit ) {
                    echo '<li>' . date( get_option( 'date_format' ), strtotime( $deposit->post_date ) ) . ' ' . __( "Deposit of", "sofa_opnpress" )  . ' ' . $deposit->currency . ' ' . $deposit->amount . '</li>';
                }
                echo '</ul>';
            } else {
				echo '<p>' . __( "No Deposits exist for this account!", "sofa_opnpress" ) . '</p>';
			}
        ?>
    </div>
</div>

<script language="javascript" type="text/javascript">
jQuery( document ).ready( function() {
	//When page loads...
	jQuery( ".tab_content" ).hide(); //Hide all content
	jQuery( "ul.tabs li:first" ).addClass( "active" ).show(); //Activate first tab
	jQuery( ".tab_content:first" ).show(); //Show first tab content

	//On Click Event
	jQuery( "ul.tabs li" ).click(function() {

		jQuery( "ul.tabs li" ).removeClass( "active" ); //Remove any "active" class
		jQuery( this).addClass( "active" ); //Add "active" class to selected tab
		jQuery( ".tab_content" ).hide(); //Hide all tab content

		var activeTab = jQuery( this ).find( "a" ).attr( "href" ); //Find the href attribute value to identify the active tab + content
		jQuery( activeTab ).fadeIn(); //Fade in the active ID content
		return false;
	} );
	
	//remove fav
	jQuery( ".remover a" ).click( function() {
		var thepost  = jQuery( this ).attr( "post" );
		jQuery.post( "<?php echo get_bloginfo( 'template_directory' ) ?>/faves_del.php", { post: thepost }, 
			function( data ) {
				var favitem = "#fav-" + thepost;
				jQuery( favitem ).fadeOut( 'fast' );
			} );

	} );

} );
</script>

<?php 
	}
} 
?>
  
<?php 
// handle widgets
if ( !function_exists( 'dynamic_sidebar' ) || !dynamic_sidebar( 'Sidebar Author' ) ) : 
?>
<?php endif; ?>

</div>
